cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
484
Views
0
Helpful
1
Replies
Highlighted

Axis 2 Versions - 1.6.1/1.6.2 Webservice Integration with UCCX 9.0.2.10000-71

UCCX Experts,

I am attempting to do web service integration in the CCX script. I tried using Axis 2 - Version 1.6.1 and 1.6.2 (tried with both) to create stub classes and thereby developing my client code.

I am invoking the methods in my client code from CCX script. All works fine with UCCX 8.5.1.11004-25 and but the same script is not working with UCCX 9.0.2.10000-71.

Have attached a document which gives you the detail on the entire scenario and also contains the files/scripts I have done. We think this could be a defect with 9.0[2]. Has anyone faced this? Any light on this would be of great help.

Thanks!

-Sethu

1 REPLY 1
Highlighted
Advocate

Hi,

can you please shed more light on what this web service actually does?

Axis is a great tool but I strongly believe, it's an overkill in this case. You don't want to fly the Space Shuttle when you can use a motorcycle.

Second, JAX-WS (aka Metro) is the part of the JDK since version 6, which is in UCCX 8.x and 9.x too - so you don't need Axis at all, just pure JDK.

It's kind of hard to tell you what the problem is, without actually seeing the logs, but it's very likely that the Axis library you are trying to feed UCCX conflicts with something. Again, I would strongly recommend to leave Axis behind and use something simpler.

Here is a document describing how to use JAX-WS with UCCX:

https://supportforums.cisco.com/docs/DOC-26957

And another document, how to use embedded Java code, without a custom JAR:

https://supportforums.cisco.com/docs/DOC-23899

G.